﻿<#	
	.NOTES
	===========================================================================
	 Created with: 	SAPIEN Technologies, Inc., PowerShell Studio 2017 v5.4.137
	 Created on:   	3/30/2017 15:32
	 Created by:   	Alcha
	 Organization: 	Squanchy Dev
	 Filename:     	
	===========================================================================
	.DESCRIPTION
		A description of the file.
#>
# Original script lacked the source for $LogDate, so I use this in its place
$LogDate = Get-Date -Format "M.d.yyy_HH.mm.ss"

# Replaced C:\Users\$env:USERNAME with $env:USERPROFILE
$LogLocal = "$env:USERPROFILE\AppData\Local\MyLogs\"
$CentralizedLocation = "C:\AppLogs\"
$CopyLog = $LogLocal + $Env:USERNAME + "_AdminActivity_" + $LogDate + ".txt"
$Filename = Split-Path $CopyLog -leaf

# Verified the file existed, if not, create it so robocopy won't throw an error
if (-not (Test-Path $CopyLog)) {
	New-Item -Path $CopyLog -ItemType File
}

robocopy $LogLocal $CentralizedLocation $Filename 